package com.steerinfo.ems.tcm0327.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TCm0327 implements IBasePO<String> {
    /**
     * 变更编号(CHANGENO,VARCHAR,400)
     */
    @ApiModelProperty(value="变更编号",required=false)
    private String changeno;

    /**
     * 记录id(RECORDID,VARCHAR,255)
     */
    @ApiModelProperty(value="记录id",required=true)
    private String recordid;

    /**
     * 日期(CREATTIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="日期",required=true)
    private Date creattime;

    /**
     * 能介系统(MEDIUMTYPE,VARCHAR,400)
     */
    @ApiModelProperty(value="能介系统",required=true)
    private String mediumtype;

    /**
     * 责任单位(RESPUNIT,VARCHAR,400)
     */
    @ApiModelProperty(value="责任单位",required=true)
    private String respunit;

    /**
     * 联系电话(TEL,VARCHAR,400)
     */
    @ApiModelProperty(value="联系电话",required=true)
    private String tel;

    /**
     * 变更原因(CHANGEREASON,VARCHAR,400)
     */
    @ApiModelProperty(value="变更原因",required=true)
    private String changereason;

    /**
     * 变更描述(CHANGEDESC,VARCHAR,400)
     */
    @ApiModelProperty(value="变更描述",required=true)
    private String changedesc;

    /**
     * 备注(NOTE,VARCHAR,4000)
     */
    @ApiModelProperty(value="备注",required=true)
    private String note;

    /**
     * 受理人(CHANGEMAN,VARCHAR,400)
     */
    @ApiModelProperty(value="受理人",required=true)
    private String changeman;

    /**
     * 受理时间(CHANGETIME,VARCHAR,400)
     */
    @ApiModelProperty(value="受理时间",required=true)
    private String changetime;

    /**
     * 单据状态(BILLSTATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="单据状态",required=true)
    private String billstatus;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.changeno;
    }

    @Override
    public void setId(String changeno) {
        this.changeno = changeno == null ? null : changeno.trim();
    }

    public String getChangeno() {
        return changeno;
    }

    public void setChangeno(String changeno) {
        this.changeno = changeno == null ? null : changeno.trim();
    }

    public String getRecordid() {
        return recordid;
    }

    public void setRecordid(String recordid) {
        this.recordid = recordid == null ? null : recordid.trim();
    }

    public Date getCreattime() {
        return creattime;
    }

    public void setCreattime(Date creattime) {
        this.creattime = creattime;
    }

    public String getMediumtype() {
        return mediumtype;
    }

    public void setMediumtype(String mediumtype) {
        this.mediumtype = mediumtype == null ? null : mediumtype.trim();
    }

    public String getRespunit() {
        return respunit;
    }

    public void setRespunit(String respunit) {
        this.respunit = respunit == null ? null : respunit.trim();
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel == null ? null : tel.trim();
    }

    public String getChangereason() {
        return changereason;
    }

    public void setChangereason(String changereason) {
        this.changereason = changereason == null ? null : changereason.trim();
    }

    public String getChangedesc() {
        return changedesc;
    }

    public void setChangedesc(String changedesc) {
        this.changedesc = changedesc == null ? null : changedesc.trim();
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    public String getChangeman() {
        return changeman;
    }

    public void setChangeman(String changeman) {
        this.changeman = changeman == null ? null : changeman.trim();
    }

    public String getChangetime() {
        return changetime;
    }

    public void setChangetime(String changetime) {
        this.changetime = changetime == null ? null : changetime.trim();
    }

    public String getBillstatus() {
        return billstatus;
    }

    public void setBillstatus(String billstatus) {
        this.billstatus = billstatus == null ? null : billstatus.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", changeno=").append(changeno);
        sb.append(", recordid=").append(recordid);
        sb.append(", creattime=").append(creattime);
        sb.append(", mediumtype=").append(mediumtype);
        sb.append(", respunit=").append(respunit);
        sb.append(", tel=").append(tel);
        sb.append(", changereason=").append(changereason);
        sb.append(", changedesc=").append(changedesc);
        sb.append(", note=").append(note);
        sb.append(", changeman=").append(changeman);
        sb.append(", changetime=").append(changetime);
        sb.append(", billstatus=").append(billstatus);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}